type: google.api.Service
config_version: 3
name: managedidentities.googleapis.com
title: Managed Service for Microsoft Active Directory API

apis:
- name: google.cloud.managedidentities.v1beta1.ManagedIdentitiesService

types:
- name: google.cloud.managedidentities.v1beta1.OpMetadata

documentation:
  summary: |-
    The Managed Service for Microsoft Active Directory API is used for managing
    a highly available, hardened service running Microsoft Active Directory
    (AD).
  rules:
  - selector: google.iam.v1.IAMPolicy.GetIamPolicy
    description: |-
      Gets the access control policy for a resource. Returns an empty policy
      if the resource exists and does not have a policy set.

  - selector: google.iam.v1.IAMPolicy.SetIamPolicy
    description: |-
      Sets the access control policy on the specified resource. Replaces
      any existing policy.

      Can return Public Errors: NOT_FOUND, INVALID_ARGUMENT and
      PERMISSION_DENIED

  - selector: google.iam.v1.IAMPolicy.TestIamPermissions
    description: |-
      Returns permissions that a caller has on the specified resource. If the
      resource does not exist, this will return an empty set of
      permissions, not a NOT_FOUND error.

      Note: This operation is designed to be used for building
      permission-aware UIs and command-line tools, not for authorization
      checking. This operation may "fail open" without warning.

backend:
  rules:
  - selector: 'google.cloud.managedidentities.v1beta1.ManagedIdentitiesService.*'
    deadline: 60.0
  - selector: 'google.iam.v1.IAMPolicy.*'
    deadline: 60.0
  - selector: 'google.longrunning.Operations.*'
    deadline: 60.0
  - selector: google.longrunning.Operations.GetOperation
    deadline: 5.0

authentication:
  rules:
  - selector: 'google.cloud.managedidentities.v1beta1.ManagedIdentitiesService.*'
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform
  - selector: 'google.iam.v1.IAMPolicy.*'
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform
  - selector: 'google.longrunning.Operations.*'
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform
